## Function template is_in_range

boost::log::expressions::is_in_range

## Synopsis

    // In header: <boost/log/expressions/predicates/is_in_range.hpp>

    template<typename T, typename BoundaryT>
      unspecified is_in_range(attribute_name const & name,
                              BoundaryT const & least, BoundaryT const & most);

## Description

The function generates a terminal node in a template expression. The node will check if the attribute value is in the specified range. The range must be half-open, that is the predicate will be equivalent to `least <= attr < most`.